<?php
/**
 * Description of SP
 *
 * @author ade
 */
class SP {
    private $name;
    private $params=array();

    public function __construct($name, $params=NULL)
    {
            $this->name=$name;
            $this->params=$params;
    }

    public function exec(){
        $params = $this->params;
        $name = $this->name;
        $p = '';

        /* set jumlah parameter */
        if(is_array($params)){
            foreach($params as $i=>$param){
                if($i==0)
                    $p .= ':par'.$i;
                else
                    $p .= ', :par'.$i;
            }
        }

        $command = Yii::app()->db->createCommand("SELECT * FROM $name($p)");

        /* set parameter value */
        if(is_array($params)){
            foreach($params as $i=>$param){
                $command->bindValue(':par'.$i, $param);
            }
        }

        $result = $command->queryRow();

        if(array_key_exists('errorno', $result) && $result['errorno']!=0)
            throw new Exception ($result['errormsg'], $result['errorno'], null);
        
    }
}
?>
