<?php

class SodController extends Controller {

    /**
     * Lists all models.
     */
    public function actionList($hostid) {
        $bill = Bill::model()->getBillByHostID($hostid);
        if ($bill != null) {
            $criteria = new CDbCriteria();
            $criteria->with = 'billso';
            $criteria->compare('billso.billno', $bill->billno);
                        
            $models = Sod::model()->findAll($criteria);
            $data = array();

            foreach ($models as $row) {
                $sod['itemid'] = $row->itemid;
                $sod['itemdesc'] = $row->itemdesc;
                $sod['qty'] = $row->qty;
                $sod['unit'] = $row->unit;
                $sod['ispacked'] = $row->ispacked;
                $sod['sodnote'] = $row->sodnote;
                $sod['iscancel'] = $row->iscancel;
                $sod['sono'] = $row->sono;
                $data[] = $sod;
            }

            $this->success($data);
        } else {
            $this->error('The requested page does not exist.');
        }
    }

}
